# pandas.Series.cat.add_categories

Series.cat.add_categories(*args, **kwargs)

  Add new categories.

  new_categories will be included at the last/highest place in the categories and will be unused directly after this call.

  Parameters
    new_categories category or list-like of category

      The new categories to be included.

    inplace bool, default False

      Whether or not to add the categories inplace or return a copy of this categorical with added categories.

      Deprecated since version 1.3.0.

  Returns
    cat Categorical or None

      Categorical with new categories added or None if `inplace=True`.

  Raises
    ValueError

      If the new categories include old categories or do not validate as categories

  See also

  `rename_categories`

    Rename categories.

  `reorder_categories`

    Reorder categories.

  `remove_categories`

    Remove the specified categories.

  `remove_unused_categories`

    Remove categories which are not used.

  `set_categories`

    Set the categories to the specified ones.